2

I am addicted to helm-projectile, unfortunately after a recent update, all of a sudden I get the warning message at Emacs start-up that the function projectile-global-mode is void. Before that, everything was working perfectly fine.

related init.el

(require 'package) ; only once in init.el
(package-initialize) ; only once in init.el
(require 'helm) ; install package
(require 'helm-config)
(helm-mode 1)
(setq exec-path (add-to-list 'exec-path "C:/Program Files/Gow/bin"))
(setenv "PATH" (concat "C:\\Program Files\\Gow\\bin;" (getenv "PATH")))
(projectile-global-mode)        
(setq projectile-completion-system 'helm)
(helm-projectile-on)
(setq projectile-indexing-method 'alien) 
(setq projectile-switch-project-action 'projectile-dired)
(setq projectile-enable-caching t)

I tried to change it to:

(projectile-global-mode +1)     

but no success.

I tried to search for this function projectile-global-mode but could not find it when I do C-h f and could not even find it in the helm-projectile.el file where supposed to be AFAIK. So what am I missing?

Notes
- Windows 7 machine 32bit
- Emacs version 24.4.1
- all packages were updated from MELPA

  • 1
    You should try deleting projectile and helm-projectile then install it again. Sometimes it's just bad installation. – Tu Do Apr 7 '15 at 8:07
  • Great! I just deleted them and re-installed them and worked fine like before. Yet another Emacs housekeeping trick to learn. Feel free to upgrade it to an answer. I wouldn't find any easier solution. – doctorate Apr 7 '15 at 8:21
3

This is a problem of bad installation. Just remove and install, and it will work again.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.